Graduate Live Update out of beta
Closed, ResolvedPublic

Description

Live Update (T167743) is a much-requested feature, but it will not be ready to be included with the first bunch of New Filters features that graduate out of beta. This ticket is a tracking task for everything that needs to happen for LU to be ready.

Krinkle removed a subscriber: Krinkle.Aug 23 2017, 4:39 PM

All subtasks seem to have been addressed.

@Trizek-WMF @Catrope, do we think this is good to go live? Are we seeing any issue reports?

@Trizek-WMF @Catrope, do we think this is good to go live? Are we seeing any issue reports?

What about T177461: Using Live Update, an unseen page opened in a new tab is not marked as seen on Watchlist? That little bit confusing issue should be fixed first.

When are we going to deploy that feature?

@Catrope, we talked about this and came up with a plan. But I forget what it was, except that we didn't want to do it when we did the graduation for flagged rev wikis.

Is there any reason not to go ahead and release live update?

Oh wait, there is one ticket I'd like to take care of first. A very small thing: T176474

Change 393692 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] Graduate live update out of beta

https://gerrit.wikimedia.org/r/393692

Change 393692 merged by jenkins-bot:
[mediawiki/core@master] Graduate live update out of beta

https://gerrit.wikimedia.org/r/393692

Etonkovidova added a comment.EditedNov 29 2017, 12:19 AM

Checked in testwiki and enwiki (wmf.10) - 'Live updates' works according to the specs.

jmatazzoni closed this task as Resolved.Dec 4 2017, 4:01 PM

Hello. I'm glad it works. But we have a problem. Looks like after this patch, not sure. Our important gadget is broken since this week deployment, because

$('.mw-rcfilters-ui-changesListWrapperWidget-newChanges')

does not work any more. That is, the button that uppears in none-liveupdate mode, if there are new edits. Could you help, please? Thank you.

Please always provide specific pointers. Is "our important gadget" https://he.wikipedia.org/wiki/מדיה_ויקי:Gadget-WLM.js ? What's the exact error message in the developer tools with debug=true enabled, following the steps in https://www.mediawiki.org/wiki/Help:Locating_broken_scripts ?

IKhitron added a comment.EditedDec 8 2017, 7:49 PM

Yes, it is. Why do you need the debug mode at all? It's even not a new task, just a question. A simple console selection returns length 0 on safemode. The inspector code shows another classes.

Hah, that class was removed completely and it shouldn't have been. I'll put it back.

Hah, that class was removed completely and it shouldn't have been. I'll put it back.

Thank you very much!

Change 396457 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] RCFilters: Add class back on "show new changes" link

https://gerrit.wikimedia.org/r/396457

Change 396457 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] RCFilters: Add class back on "show new changes" link

https://gerrit.wikimedia.org/r/396457

With this it will be

$('.mw-rcfilters-ui-filterWrapperWidget-showNewChanges')

I apologize for this being a different class name that we had before; using the same class name as before would have resulted in a very weird inconsistency, so I hope this is OK.

Change 396457 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] RCFilters: Add class back on "show new changes" link

https://gerrit.wikimedia.org/r/396457

With this it will be

$('.mw-rcfilters-ui-filterWrapperWidget-showNewChanges')

I apologize for this being a different class name that we had before; using the same class name as before would have resulted in a very weird inconsistency, so I hope this is OK.

I do not know about other gadgets, if any, but for this it's fine. All we need is to catch the widget element so it can be moved a little down on the page. Thanks again.

Change 396457 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Add class back on "show new changes" link

https://gerrit.wikimedia.org/r/396457

I'll confirm here after the patch deployment.

Thanks a lot, @Catrope, it works great.